/* Sort quizcard-entries for quizcard.c.
*/


#ifndef _SORT_H_
#define _SORT_H_

#include "quizcard.h"                  /* entry */

char *reescape(char *to, char *from);
char *sprint_phrase(char* phrase, entry *the_entry);

int show_translations(entry entries[], word index);

/* display the first N cards starting with a given substring */
int show_startstr(entry  cards[],
                  entry *sorted_cards[],
                  int    num_cards,
                  char  *substring,
                  int    N);

/* display the first N cards containing a given substring */
int show_substr(entry  cards[],
                entry *sorted_cards[],
                int    num_cards,
                char  *substring,
                int    N);

int find_entry(entry *the_entry, entry *sorted_entries[], int num_entries, byte *found);
int insert_entry(entry *the_entry, entry *sorted_entries[], int num_entries, int index);
int show_alternatives(entry entries[], word index, word leaveout, word numlines);


#endif


